Index: extensions/meta/admin/admin.php
===================================================================
--- extensions/meta/admin/admin.php	(revision 9180)
+++ extensions/meta/admin/admin.php	(revision 9406)
@@ -23,10 +23,4 @@
                l10n('meta_onglet_gestion'),
                $my_base_url.'&amp;tab=gestion');
-$tabsheet->add('categorie',
-               l10n('meta_onglet_categorie'),
-               $my_base_url.'&amp;tab=categorie');
-$tabsheet->add('image',
-               l10n('meta_onglet_image'),
-               $my_base_url.'&amp;tab=image');
 $tabsheet->add('description',
                l10n('meta_onglet_description'),
@@ -109,182 +103,4 @@
     break;
 
-// Onglet gestion des meta categorie
-  case 'categorie':
-
-//charge la liste des catégories
-$groups = array();
-$query = '
-select id,name
-  FROM ' . CATEGORIES_TABLE . '
-  ORDER BY id ASC;';
-$result = pwg_query($query);
-
-while ($row = mysql_fetch_array($result))
-	{
-  $groups[$row['id']] = $row['id'].' : '.$row['name'];
-	}
-	
-	$selected = 0;
-	$options[] = l10n('meta_select3');
-	$options['a'] = '----------------------';
-	
-foreach($groups as $listid => $listid2)
-	{
-    $options[$listid] = $listid2;
-	}
-  $template->assign(
-    'gestionB',
-    array(
-	  'OPTIONS' => $options,
-      'SELECTED' => $selected
-      ));
-	
-	
-//edit de categorie
-if (isset($_POST['submitchoixcat'])and is_numeric($_POST['metacat']) and (!$_POST['metacat'])==0 and !is_adviser())
-	{
-$lire=$_POST['metacat'];
-	$query = '
-select id,name,comment
-  FROM ' . CATEGORIES_TABLE . '
-  WHERE id = \''.$lire.'\'
-  ;';
-$result = pwg_query($query);
-
-$row = mysql_fetch_array($result);
-$idcat=$row['id'];
-$chnamecat=$row['name'];
-$chdescat=$row['comment'];
-$query = '
-select id,metaKeycat,metadescat
-  FROM ' . meta_cat_TABLE . '
-  WHERE id = \''.$lire.'\'
-  ;';
-$result = pwg_query($query);
-$row = mysql_fetch_array($result);
-$idmetaKeycat=$row['id'];
-$chvalcat=$row['metaKeycat'];
-$chvalcatdes=$row['metadescat'];
-
-  $selected3 = 0;
-  
-  $template->assign(
-    'cat_edit',
-    array(
-	  'DESC' => $chdescat,
-      'VALUE' => $idcat,
-	  'VALUEN' => $chnamecat,
-      'CONTENT' => $chvalcat,
-	  'CONTENT2' => $chvalcatdes,
-      'SELECTED' => $selected3
-      ));
-	}
-
-//insértion de meta de cat dans la table meta_cat
-if (isset($_POST['submitinscat']) and !is_adviser())
-	{
-	$query = '
-DELETE 
-  FROM ' . meta_cat_TABLE . '
-  WHERE id = \''.$_POST['invisible'].'\'
-  ;';
-$result = pwg_query($query);
-	$q = '
-INSERT INTO ' . $prefixeTable . 'meta_cat(id,metaKeycat,metadescat)VALUES ('.$_POST['invisible'].',"'.$_POST['inser'].'","'.$_POST['inser2'].'");';
-    pwg_query($q);
-	}
- 
-    break;
-
-// Onglet gestion des meta keywords images
-  case 'image':
-
-//charge la liste des images
-$groups = array();
-$query = '
-select id,name
-  FROM ' . IMAGES_TABLE . '
-  ORDER BY id ASC;';
-$result = pwg_query($query);
-
-while ($row = mysql_fetch_array($result))
-	{
-  $groups[$row['id']] = $row['id'].' : '.$row['name'];
-	}
-	
-	$selected = 0;
-	$options[] = l10n('meta_selecti3');
-	$options['a'] = '----------------------';
-	
-foreach($groups as $listid => $listid2)
-	{
-    $options[$listid] = $listid2;
-	}
-  $template->assign(
-    'gestionC',
-    array(
-	  'OPTIONS' => $options,
-      'SELECTED' => $selected
-      ));
-	
-//edit de la meta l'image
-if (isset($_POST['submitchoiximg'])and is_numeric($_POST['metaimg']) and (!$_POST['metaimg'])==0 and !is_adviser())
-	{
-$lire=$_POST['metaimg'];
-	$query = '
-select id,name,comment,path
-  FROM ' . IMAGES_TABLE . '
-  WHERE id = \''.$lire.'\'
-  ;';
-$result = pwg_query($query);
-
-$row = mysql_fetch_array($result);
-$idimg=$row['id'];
-$chnameimg=$row['name'];
-$chdescimg=$row['comment'];
-$rootimg=$row['path'];
-
-$query = '
-select id,metaKeyimg,metadesimg
-  FROM ' . meta_img_TABLE . '
-  WHERE id = \''.$lire.'\'
-  ;';
-$result = pwg_query($query);
-$row = mysql_fetch_array($result);
-$idmetaKeyimg=$row['id'];
-$chvalimg=$row['metaKeyimg'];
-$chvalimgdes=$row['metadesimg'];
-
-  $selected3 = 0;
-  
-  $template->assign(
-    'img_edit',
-    array(
-	  'RIMG' => $rootimg,
-	  'DESC' => $chdescimg,
-      'VALUE' => $idimg,
-	  'VALUEN' => $chnameimg,
-      'CONTENT' => $chvalimg,
-      'CONTENT2' => $chvalimgdes,
-      'SELECTED' => $selected3
-      ));
-	}
-
-//insértion de meta img dans la table img
-if (isset($_POST['submitinsimg']) and !is_adviser())
-	{
-	$query = '
-DELETE 
-  FROM ' . meta_img_TABLE . '
-  WHERE id = \''.$_POST['invisible'].'\'
-  ;';
-$result = pwg_query($query);
-	$q = '
-INSERT INTO ' . $prefixeTable . 'meta_img(id,metaKeyimg,metadesimg)VALUES ('.$_POST['invisible'].',"'.$_POST['inser'].'","'.$_POST['inser2'].'");';
-    pwg_query($q);
-	}
-	
-    break;
-
 // Onglet  description
   case 'description':
Index: extensions/meta/admin/admin.tpl
===================================================================
--- extensions/meta/admin/admin.tpl	(revision 9180)
+++ extensions/meta/admin/admin.tpl	(revision 9406)
@@ -36,87 +36,4 @@
 {/if}
 
-{if isset ($gestionB)}
-	  <h3>{'meta_cath3'|@translate}</h3>
-	<div>
-		<form method="post" >
-			<fieldset>
-				<legend>{'meta_selectcat'|@translate}</legend>
-				{'meta_listcat'|@translate}	
-		{html_options name="metacat" options=$gestionB.OPTIONS selected=$gestionB.SELECTED}
-				<br>	
-				<br>
-					<div style="text-align:center;">
-					<input class="submit" name="submitchoixcat" type="submit" value="{'meta_choixcat'|@translate}" {$TAG_INPUT_ENABLED} />
-					</div>
-			</fieldset>
-		</form>
-	</div>
-	{if isset ($cat_edit)}
-	<div>
-		<form method="post" >
-			<fieldset>
-				<legend>id&nbsp;:&nbsp;{$cat_edit.VALUE}&nbsp;->&nbsp;{$cat_edit.VALUEN}&nbsp;&nbsp;</legend>
-					<input type="hidden" name="invisible" value="{$cat_edit.VALUE}">
-					{'meta_compcat'|@translate}&nbsp;:&nbsp;<input type="text" name="inser" value="{$cat_edit.CONTENT}" size="110" maxlenght="110">
-				<br>	
-				<br>	
-					{'meta_compcatdes'|@translate}&nbsp;:&nbsp;<input type="text" name="inser2" value="{$cat_edit.CONTENT2}" size="110" maxlenght="110">&nbsp;:&nbsp;({'meta_compcatdeshelp'|@translate})
-				<br>	
-				<br>
-				{'meta_catdesact'|@translate} &nbsp;:&nbsp; {$cat_edit.DESC}
-				<br>	
-				<br>
-					<div style="text-align:center;">
-					<input class="submit" name="submitinscat" type="submit" value="{'meta_inscat'|@translate}" {$TAG_INPUT_ENABLED} />
-					</div>
-			</fieldset>
-		</form>
-	</div>
-	{/if}
-	
-{/if}
-{if isset ($gestionC)}
-	  <h3>{'meta_img'|@translate}</h3>
-	<div>
-		<form method="post" >
-			<fieldset>
-				<legend>{'meta_selectimg'|@translate}</legend>
-				{'meta_listimg'|@translate}	
-		{html_options name="metaimg" options=$gestionC.OPTIONS selected=$gestionC.SELECTED}
-				<br>
-				<br>
-					<div style="text-align:center;">
-					<input class="submit" name="submitchoiximg" type="submit" value="{'meta_choiximg'|@translate}" {$TAG_INPUT_ENABLED} />
-					</div>
-			</fieldset>
-		</form>
-	</div>
-	{if isset ($img_edit)}
-	<div>
-		<form method="post" >
-			<fieldset>
-			  <img class="thumbnail" src="{$img_edit.RIMG}" alt="" width="100px">
-			  <br>
-			  <br>
-				<legend>id&nbsp;:&nbsp;{$img_edit.VALUE}&nbsp;->&nbsp;{$img_edit.VALUEN}&nbsp;&nbsp;</legend>
-					<input type="hidden" name="invisible" value="{$img_edit.VALUE}">
-					{'meta_compimg'|@translate}&nbsp;:&nbsp;<input type="text" name="inser" value="{$img_edit.CONTENT}" size="110" maxlenght="110">
-				<br>	
-				<br>
-					{'meta_compimgdes'|@translate}&nbsp;:&nbsp;<input type="text" name="inser2" value="{$img_edit.CONTENT2}" size="110" maxlenght="110">
-					({'meta_compcatdeshelp'|@translate})
-				<br>	
-				<br>
-				<br>	
-				<br>
-				{'meta_catdesimg'|@translate} &nbsp;:&nbsp; {$img_edit.DESC}
-					<div style="text-align:center;">
-					<input class="submit" name="submitinsimg" type="submit" value="{'meta_inscat'|@translate}" {$TAG_INPUT_ENABLED} />
-					</div>
-			</fieldset>
-		</form>
-	</div>
-	{/if}
-{/if}
 {if isset ($description)}
 	<div class="comment">
Index: extensions/meta/initadmin.php
===================================================================
--- extensions/meta/initadmin.php	(revision 9406)
+++ extensions/meta/initadmin.php	(revision 9406)
@@ -0,0 +1,178 @@
+<?php
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+
+//Add link menu
+add_event_handler('get_admin_plugin_menu_links', 'meta_admin_menu');
+function meta_admin_menu($menu)
+{
+  array_push($menu, array(
+		'NAME' => 'Meta',
+    'URL' => get_admin_plugin_menu_link(meta_PATH . 'admin/admin.php')));
+  return $menu;
+}
+
+
+//add prefiltre photo
+add_event_handler('loc_begin_admin', 'metaPadminf',55);
+add_event_handler('loc_begin_admin', 'metaPadminA',55);
+
+function metaPadminf()
+	{
+	global $template;
+	$template->set_prefilter('picture_modify', 'metaPadminfT');
+	}
+
+function metaPadminfT($content, &$smarty)
+	{
+  $search = '#<form id="associations"#';
+  
+  $replacement = '
+	<div>
+		<form method="post" >
+			<fieldset>
+			  <br>
+				<legend>{\'Metadata - Plugin meta\'|@translate}</legend>
+					{\'meta_compimg\'|@translate}&nbsp;:&nbsp;<input type="text" name="inser" value="{$metaCONTENT}" size="110" maxlenght="110">
+				<br>	
+				<br>
+					{\'meta_compimgdes\'|@translate}&nbsp;:&nbsp;<input type="text" name="inser2" value="{$metaCONTENT2}" size="110" maxlenght="110">
+					({\'meta_compcatdeshelp\'|@translate})
+				<br>	
+				<br>
+					<div style="text-align:center;">
+					<input class="submit" name="submetaphoto" type="submit" value="{\'meta_inscat\'|@translate}" {$TAG_INPUT_ENABLED} />
+					</div>
+			</fieldset>
+		</form>
+	</div>  
+  <form id="associations"';
+
+  return preg_replace($search, $replacement, $content);
+	}
+ 
+function metaPadminA()
+	{ 
+		load_language('plugin.lang', meta_PATH);
+if (isset($_GET['image_id']))
+ {
+ 	global $template, $prefixeTable;
+$query = '
+select id,metaKeyimg,metadesimg
+  FROM ' . meta_img_TABLE . '
+  WHERE id = '.$_GET['image_id'].'
+  ;';
+$result = pwg_query($query);
+$row = mysql_fetch_array($result);
+$chvalimg=$row['metaKeyimg'];
+$chvalimgdes=$row['metadesimg'];
+ 
+  $template->assign(
+    array(
+      'metaCONTENT' => $chvalimg,
+      'metaCONTENT2' => $chvalimgdes,
+      ));
+ }
+ 
+if (isset($_POST['submetaphoto']))
+ {
+ 	$query = '
+DELETE 
+  FROM ' . meta_img_TABLE . '
+  WHERE id = '.$_GET['image_id'].'
+  ;';
+$result = pwg_query($query);
+	$q = '
+INSERT INTO ' . $prefixeTable . 'meta_img(id,metaKeyimg,metadesimg)VALUES ('.$_GET['image_id'].',"'.$_POST['inser'].'","'.$_POST['inser2'].'");';
+    pwg_query($q);
+  
+  $template->assign(
+    array(
+      'metaCONTENT' => $_POST['inser'],
+      'metaCONTENT2' => $_POST['inser2'],
+      ));
+  }
+	}
+	
+//add prefiltre album
+add_event_handler('loc_end_cat_modify', 'metaAadminf');
+add_event_handler('loc_end_cat_modify', 'metaAadminA');
+
+function metaAadminf()
+ {
+	global $template;
+	$template->set_prefilter('categories', 'metaAadminfT');
+ }
+
+function metaAadminfT($content, &$smarty)
+ {
+  $search = '#<fieldset id="options">#';
+  
+  $replacement = '
+
+  	<div>
+		<form method="post" >
+			<fieldset>
+				<legend>{\'Metadata - Plugin meta\'|@translate}</legend>
+					{\'meta_compcat\'|@translate}&nbsp;:&nbsp;<input type="text" name="inser" value="{$metaCONTENT}" size="110" maxlenght="110">
+				<br>	
+				<br>	
+					{\'meta_compcatdes\'|@translate}&nbsp;:&nbsp;<input type="text" name="inser2" value="{$metaCONTENT2}" size="110" maxlenght="110">&nbsp;:&nbsp;({\'meta_compcatdeshelp\'|@translate})
+				<br>	
+				<br>
+					<div style="text-align:center;">
+					<input class="submit" name="submetaalbum" type="submit" value="{\'meta_inscat\'|@translate}" {$TAG_INPUT_ENABLED} />
+					</div>
+			</fieldset>
+		</form>
+	</div>
+  <fieldset id="options">
+  ';
+
+  return preg_replace($search, $replacement, $content);
+ }
+
+ function metaAadminA()
+	{ 
+		load_language('plugin.lang', meta_PATH);
+if (isset($_GET['cat_id']))
+ {
+ 	global $template, $prefixeTable;
+$query = '
+select id,metaKeycat,metadescat
+  FROM ' . meta_cat_TABLE . '
+  WHERE id = '.$_GET['cat_id'].'
+  ;';
+$result = pwg_query($query);
+$row = mysql_fetch_array($result);
+$chvalcat=$row['metaKeycat'];
+$chvalcatdes=$row['metadescat'];
+  
+  $template->assign(
+    array(
+      'metaCONTENT' => $chvalcat,
+	  'metaCONTENT2' => $chvalcatdes,
+      ));
+ }
+ 
+if (isset($_POST['submetaalbum']))
+ {
+	$query = '
+DELETE 
+  FROM ' . meta_cat_TABLE . '
+  WHERE id = '.$_GET['cat_id'].'
+  ;';
+$result = pwg_query($query);
+	$q = '
+INSERT INTO ' . $prefixeTable . 'meta_cat(id,metaKeycat,metadescat)VALUES ('.$_GET['cat_id'].',"'.$_POST['inser'].'","'.$_POST['inser2'].'");';
+    pwg_query($q);
+		
+  $template->assign(
+    array(
+      'metaCONTENT' => $_POST['inser'],
+	  'metaCONTENT2' => $_POST['inser2'],
+      ));
+  }
+	}
+
+?>
Index: extensions/meta/language/de_DE/plugin.lang.php
===================================================================
--- extensions/meta/language/de_DE/plugin.lang.php	(revision 9180)
+++ extensions/meta/language/de_DE/plugin.lang.php	(revision 9406)
@@ -1,5 +1,5 @@
 <?php
 
-//onglet gestion
+//tab gest
 $lang['meta_onglet_gestion'] = 'Metadaten';
 $lang['meta_desh3'] = 'Metadaten auf allen Seiten hinzufügen';
@@ -14,29 +14,14 @@
 $lang['meta_insmeta'] = 'Die Metadaten hinzufügen';
 
-//onglet description categorie
-$lang['meta_onglet_categorie'] = 'Metadaten der Kategorie(n)';
-$lang['meta_cath3'] = 'Die Metadaten "Stichwort" und "Beschreibung zu den Kategorien hinzufügen';
-$lang['meta_select3'] = 'Kategorie auswählen';
-$lang['meta_selectcat'] = 'Name für die Kategorie auswählen';
-$lang['meta_listcat'] = 'Kategorien auflisten:';
-$lang['meta_choixcat'] = 'Die Metadaten der Kategorie(n) bearbeiten';
+//edit
+$lang['Metadata - Plugin meta'] = 'Metadaten - Plugin meta';
+$lang['meta_compimg'] = 'Stichwort des abzuschließenden Bildes';
+$lang['meta_compimgdes'] = 'Die Beschreibung des zu ersetzendes Bildes';
+$lang['meta_inscat'] = 'Metadaten hinzufügen';
+$lang['meta_compcatdeshelp'] = 'Wird alle Beschreibungen ersetzen';
 $lang['meta_compcat'] = 'Stichwörter der abzuschließenden Kategorie';
 $lang['meta_compcatdes'] = 'Die zu ersetzenden Kategorie Beschreibung';
-$lang['meta_compcatdeshelp'] = 'Wird alle Beschreibungen ersetzen';
-$lang['meta_catdesact'] = 'Erinnerung der Beschreibung der Kategorie';
-$lang['meta_inscat'] = 'Metadaten hinzufügen';
 
-//onglet image
-$lang['meta_onglet_image'] = 'Metadaten der Bilder';
-$lang['meta_img'] = 'Die Metadaten "Stichwort" und "Beschreibung" zu den Bildern hinzufügen';
-$lang['meta_selectimg'] = 'Name des Bildes auswählen';
-$lang['meta_listimg'] = 'Bilder auflisten';
-$lang['meta_choiximg'] = 'Die Metadaten des Bildes bearbeiten';
-$lang['meta_selecti3'] = 'Bild auswählen';
-$lang['meta_compimg'] = 'Stichwort des abzuschließenden Bildes';
-$lang['meta_compimgdes'] = 'Die Beschreibung des zu ersetzendes Bildes';
-$lang['meta_catdesimg'] = 'Erinnerung der Beschreibung des Bildes';
-
-//onglet description
+//tab description
 $lang['meta_onglet_description'] = 'Beschreibung der Metadaten';
 $lang['meta_author'] = 'Beschreibung Metadatei Autor';
Index: extensions/meta/language/en_UK/plugin.lang.php
===================================================================
--- extensions/meta/language/en_UK/plugin.lang.php	(revision 9180)
+++ extensions/meta/language/en_UK/plugin.lang.php	(revision 9406)
@@ -1,5 +1,5 @@
 <?php
 
-//onglet gestion
+//tab gest
 $lang['meta_onglet_gestion'] = 'Metadata';
 $lang['meta_desh3'] = 'Add meta to all the pages';
@@ -14,29 +14,14 @@
 $lang['meta_insmeta'] = 'insert the metadata';
 
-//onglet description categorie
-$lang['meta_onglet_categorie'] = 'Categorie\'s Metadata';
-$lang['meta_cath3'] = 'Add meta "keywords" and "Description" to categories';
-$lang['meta_select3'] = 'Select category';
-$lang['meta_selectcat'] = 'Select name of category';
-$lang['meta_listcat'] = 'List categories :';
-$lang['meta_choixcat'] = 'Edit categorie\'s Metadata';
+//edit
+$lang['Metadata - Plugin meta'] = 'Metadata - Plugin meta';
+$lang['meta_compimg'] = 'Keywords of picture to be completed';
+$lang['meta_compimgdes'] = 'Image description to replace';
+$lang['meta_inscat'] = 'Insert Metadata';
+$lang['meta_compcatdeshelp'] = 'Will replace all description';
 $lang['meta_compcat'] = 'Keywords of category to be completed';
 $lang['meta_compcatdes'] = 'Category description to replace';
-$lang['meta_compcatdeshelp'] = 'Will replace all description';
-$lang['meta_catdesact'] = 'For recalls the description of category';
-$lang['meta_inscat'] = 'Insert Metadata';
 
-//onglet image
-$lang['meta_onglet_image'] = 'Picture\'s Metadata';
-$lang['meta_img'] = 'Add meta "keywords" and "Description" to picture';
-$lang['meta_selectimg'] = 'Select name of picture';
-$lang['meta_listimg'] = 'List Picture';
-$lang['meta_choiximg'] = 'Edit Picture\'s Metadata';
-$lang['meta_selecti3'] = 'Select Picture';
-$lang['meta_compimg'] = 'Keywords of picture to be completed';
-$lang['meta_compimgdes'] = 'Image description to replace';
-$lang['meta_catdesimg'] = 'For recalls the description of picture';
-
-//onglet description
+//tab description
 $lang['meta_onglet_description'] = 'Description Metadata';
 $lang['meta_author'] = 'Description meta author';
Index: extensions/meta/language/es_ES/plugin.lang.php
===================================================================
--- extensions/meta/language/es_ES/plugin.lang.php	(revision 9180)
+++ extensions/meta/language/es_ES/plugin.lang.php	(revision 9406)
@@ -1,5 +1,5 @@
 <?php
 
-//onglet gestion
+//tab gest
 $lang['meta_onglet_gestion'] = 'metadatos';
 $lang['meta_desh3'] = 'Añadir metadatos a todas las páginas';
@@ -14,29 +14,14 @@
 $lang['meta_insmeta'] = 'Insertar el metadatos';
 
-//onglet categorie
-$lang['meta_onglet_categorie'] = 'Metadatos de las Categorías';
-$lang['meta_cath3'] = 'Añadir  meta "keywords" y "Description" a las categorías';
-$lang['meta_select3'] = 'Seleccione la categoría';
-$lang['meta_selectcat'] = 'Seleccione el nombre de la categoría';
-$lang['meta_listcat'] = 'Lista categorías :';
-$lang['meta_choixcat'] = 'Editar el metadatos de la categoría';
+//edit
+$lang['Metadata - Plugin meta'] = 'Metadatos - Plugin meta';
+$lang['meta_compimg'] = 'Palabras claves de la imagen que hay que completar';
+$lang['meta_compimgdes'] = 'Descripción de la imagen para reemplazar';
+$lang['meta_inscat'] = 'Insertar las metadatos';
+$lang['meta_compcatdeshelp'] = 'Sustitución de todas las descripciones';
 $lang['meta_compcat'] = 'Palabras claves de la categoría que hay que completar';
 $lang['meta_compcatdes'] = 'Descripción de la categoría para reemplazar';
-$lang['meta_compcatdeshelp'] = 'Sustitución de todas las descripciones';
-$lang['meta_catdesact'] = 'Para recuerda la descripción de la categoría';
-$lang['meta_inscat'] = 'Insertar las metadatos';
 
-//onglet image
-$lang['meta_onglet_image'] = 'Metadatos imágenes';
-$lang['meta_img'] = 'Añadir meta "keywords" y "Description" a las imágenes';
-$lang['meta_selectimg'] = 'Seleccione el nombre de la imagen';
-$lang['meta_listimg'] = 'Lista imágenes';
-$lang['meta_choiximg'] = 'Editar metadatos de la imagen';
-$lang['meta_selecti3'] = 'Seleccione la imagen';
-$lang['meta_compimg'] = 'Palabras claves de la imagen que hay que completar';
-$lang['meta_compimgdes'] = 'Descripción de la imagen para reemplazar';
-$lang['meta_catdesimg'] = 'Para recuerda la descripción de la imagen';
-
-//onglet description
+//tab description
 $lang['meta_onglet_description'] = 'Descripción de metadatos';
 $lang['meta_author'] = 'Descripción de metadatos author';
Index: extensions/meta/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/meta/language/fr_FR/plugin.lang.php	(revision 9180)
+++ extensions/meta/language/fr_FR/plugin.lang.php	(revision 9406)
@@ -1,5 +1,5 @@
 <?php
 
-//onglet gestion
+//tab gest
 $lang['meta_onglet_gestion'] = 'Métadonnées';
 $lang['meta_desh3'] = 'Ajouter des métadonnées à toutes les pages';
@@ -14,29 +14,14 @@
 $lang['meta_insmeta'] = 'inserer la metadonnée';
 
-//onglet categorie
-$lang['meta_onglet_categorie'] = 'Metadonnée des Catégories';
-$lang['meta_cath3'] = 'Ajouter des meta "keywords" et "Description" aux catégories';
-$lang['meta_select3'] = 'Sélectionnez la catégorie';
-$lang['meta_selectcat'] = 'Sélectionnez le nom de la catégorie';
-$lang['meta_listcat'] = 'Liste des catégories :';
-$lang['meta_choixcat'] = 'Éditer la Metadonnée de la catégorie';
+//edit
+$lang['Metadata - Plugin meta'] = 'Metadonnée - Plugin meta';
+$lang['meta_compimg'] = 'Mots clés de l\'image à compléter';
+$lang['meta_compimgdes'] = 'Description de l\'image à substituer';
+$lang['meta_inscat'] = 'Insérer les meta';
+$lang['meta_compcatdeshelp'] = 'Viendra en remplacement de toutes les descriptions';
 $lang['meta_compcat'] = 'Mots clés de la catégorie à compléter';
 $lang['meta_compcatdes'] = 'Description de la catégorie à substituer';
-$lang['meta_compcatdeshelp'] = 'Viendra en remplacement de toutes les descriptions';
-$lang['meta_catdesact'] = 'Pour rappelle la description de la catégorie';
-$lang['meta_inscat'] = 'Insérer les meta';
 
-//onglet image
-$lang['meta_onglet_image'] = 'Metadonnée des images';
-$lang['meta_img'] = 'Ajouter des meta "keywords" et "Description" aux images';
-$lang['meta_selectimg'] = 'Sélectionnez l\'image';
-$lang['meta_listimg'] = 'Liste des images';
-$lang['meta_choiximg'] = 'Éditer la Metadonnée de l\'image';
-$lang['meta_selecti3'] = 'Sélectionnez l\'image';
-$lang['meta_compimg'] = 'Mots clés de l\'image à compléter';
-$lang['meta_compimgdes'] = 'Description de l\'image à substituer';
-$lang['meta_catdesimg'] = 'Pour rappelle la description de l\'image';
-
-//onglet description
+//tab description
 $lang['meta_onglet_description'] = 'Description des Metadonnées';
 $lang['meta_author'] = 'Description de meta author';
@@ -58,3 +43,4 @@
 none : Empêche le robot de poursuivre l\'indexation du site<br>
 ';
+
 ?>
Index: extensions/meta/language/hu_HU/plugin.lang.php
===================================================================
--- extensions/meta/language/hu_HU/plugin.lang.php	(revision 9180)
+++ extensions/meta/language/hu_HU/plugin.lang.php	(revision 9406)
@@ -1,5 +1,5 @@
 <?php
 
-//onglet gestion
+//tab gest
 $lang['meta_onglet_gestion'] = 'Metaadatok';
 $lang['meta_desh3'] = 'Meta hozzáadása az összes oldalhoz';
@@ -14,29 +14,14 @@
 $lang['meta_insmeta'] = 'Metaadat beszúrása';
 
-//onglet description categorie
-$lang['meta_onglet_categorie'] = 'Kategóriák metaadatai';
-$lang['meta_cath3'] = 'Kategória "kulcsszó" és "leírás" meta hozzáadása';
-$lang['meta_select3'] = 'Kategória kiválasztása';
-$lang['meta_selectcat'] = 'Kategória kiválasztása név alapján';
-$lang['meta_listcat'] = 'Kategória lista :';
-$lang['meta_choixcat'] = 'Kategóriák metaadatainak módosítása';
+//edit
+$lang['Metadata - Plugin meta'] = 'Metaadatok - Plugin meta';
+$lang['meta_compimg'] = 'A képhez tartozó összes kulcsszó';
+$lang['meta_compimgdes'] = 'Kép leírás cseréje';
+$lang['meta_inscat'] = 'Metaadat beszúrása';
+$lang['meta_compcatdeshelp'] = 'Lecseréli az összes leírást';
 $lang['meta_compcat'] = 'A kategóriához tartozó összes kulcsszó';
 $lang['meta_compcatdes'] = 'Kategória leírás cseréje';
-$lang['meta_compcatdeshelp'] = 'Lecseréli az összes leírást';
-$lang['meta_catdesact'] = 'Emlékeztetőül a kategória leírása';
-$lang['meta_inscat'] = 'Metaadat beszúrása';
 
-//onglet image
-$lang['meta_onglet_image'] = 'Képek metaadatai';
-$lang['meta_img'] = 'Kép "kulcsszó" és "leírás" meta hozzáadása';
-$lang['meta_selectimg'] = 'Kép kiválasztása név alapján';
-$lang['meta_listimg'] = 'Kép lista';
-$lang['meta_choiximg'] = 'Képek metaadatainak módosítása';
-$lang['meta_selecti3'] = 'Kép kiválasztása';
-$lang['meta_compimg'] = 'A képhez tartozó összes kulcsszó';
-$lang['meta_compimgdes'] = 'Kép leírás cseréje';
-$lang['meta_catdesimg'] = 'Emlékeztetőül a kép leírása';
-
-//onglet description
+//tab description
 $lang['meta_onglet_description'] = 'Metaadatok leírása';
 $lang['meta_author'] = 'Szerző meta leírása';
Index: extensions/meta/language/it_IT/plugin.lang.php
===================================================================
--- extensions/meta/language/it_IT/plugin.lang.php	(revision 9180)
+++ extensions/meta/language/it_IT/plugin.lang.php	(revision 9406)
@@ -1,5 +1,5 @@
 <?php
 
-//onglet gestion
+//tab gest
 $lang['meta_onglet_gestion'] = 'Metadati';
 $lang['meta_desh3'] = 'Aggiungere i metadati a tutte le pagine';
@@ -14,29 +14,14 @@
 $lang['meta_insmeta'] = 'Inserire il metadato';
 
-//onglet categorie
-$lang['meta_onglet_categorie'] = 'Metadato delle categorie';
-$lang['meta_cath3'] = 'Aggiungere dei meta "keywords" è "Description" alle categorie';
-$lang['meta_select3'] = 'Selezionare la catégoria';
-$lang['meta_selectcat'] = 'Selezionare il nome della categoria';
-$lang['meta_listcat'] = 'Elenco delle categorie:';
-$lang['meta_choixcat'] = 'Modificare i Metadati della categoria';
+//edit
+$lang['Metadata - Plugin meta'] = 'Metadati - Plugin meta';
+$lang['meta_compimg'] = 'Keywords dell\'immagine da completare';
+$lang['meta_compimgdes'] = 'Descrizione dell\'immagine da sostituire';
+$lang['meta_inscat'] = 'Inserire i Metadati';
+$lang['meta_compcatdeshelp'] = 'Sostituirà ogni descrizione';
 $lang['meta_compcat'] = 'Keywords della categoria da completare';
 $lang['meta_compcatdes'] = 'Descrizione della categoria da sostituire';
-$lang['meta_compcatdeshelp'] = 'Sostituirà ogni descrizione';
-$lang['meta_catdesact'] = 'Promemoria della descrizione della categoria';
-$lang['meta_inscat'] = 'Inserire i Metadati';
 
-//onglet image
-$lang['meta_onglet_image'] = 'Metadati delle immagini';
-$lang['meta_img'] = 'Aggiungere dei meta "keywords" è "Description" alle immagini';
-$lang['meta_selectimg'] = 'Scegliere il nome dell\'immagine';
-$lang['meta_listimg'] = 'Elenco delle immagini';
-$lang['meta_choiximg'] = 'Modificare il Metadato dell\'immagine';
-$lang['meta_selecti3'] = 'Scegliere l\'immagine';
-$lang['meta_compimg'] = 'Keywords dell\'immagine da completare';
-$lang['meta_compimgdes'] = 'Descrizione dell\'immagine da sostituire';
-$lang['meta_catdesimg'] = 'Promemoria della descrizione dell\'immagine';
-
-//onglet description
+//tab description
 $lang['meta_onglet_description'] = 'Descrizione dei Metadati';
 $lang['meta_author'] = 'Descrizione del meta autor';
Index: extensions/meta/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/meta/language/lv_LV/plugin.lang.php	(revision 9180)
+++ extensions/meta/language/lv_LV/plugin.lang.php	(revision 9406)
@@ -1,5 +1,5 @@
 <?php
 
-//onglet gestion
+//tab gest
 $lang['meta_onglet_gestion'] = 'Metadati';
 $lang['meta_desh3'] = 'Pievienot metadatus visām lapām';
@@ -14,29 +14,14 @@
 $lang['meta_insmeta'] = 'ievietot metadatus';
 
-//onglet description categorie
-$lang['meta_onglet_categorie'] = 'Metedatu Kategorija/s';
-$lang['meta_cath3'] = 'Pievienot kategorijām meta atslēgvārdus "keywords"un aprakstu "Description"';
-$lang['meta_select3'] = 'Izvēlēties kategoriju';
-$lang['meta_selectcat'] = 'Izvēlēties kategorijas nosaukumu';
-$lang['meta_listcat'] = 'Iekļaut Kategoriju sarakstā :';
-$lang['meta_choixcat'] = 'Rediģēt kategorijas/u Metadatus';
+//edit
+$lang['Metadata - Plugin meta'] = 'Metadati - Plugin meta';
+$lang['meta_compimg'] = 'Aizpildāmie attēlu atslēgvārdi';
+$lang['meta_compimgdes'] = 'Aizstājamie attēlu apraksti';
+$lang['meta_inscat'] = 'Ievietot Metadatus';
+$lang['meta_compcatdeshelp'] = 'Tiks aizstāts viss apraksts';
 $lang['meta_compcat'] = 'Aizpildāmie Kategoriju atslēgvārdi';
 $lang['meta_compcatdes'] = 'Aizstājamie kategoriju apraksti';
-$lang['meta_compcatdeshelp'] = 'Tiks aizstāts viss apraksts';
-$lang['meta_catdesact'] = 'Kategoriju apraksti atgādinājumiem';
-$lang['meta_inscat'] = 'Ievietot Metadatus';
 
-//onglet image
-$lang['meta_onglet_image'] = 'Metadatu Attēls/i';
-$lang['meta_img'] = 'Pievienot attēlam meta atslēgvārdus "keywords" un aprakstu "Description"';
-$lang['meta_selectimg'] = 'Izvēlēties attēla nosaukumu';
-$lang['meta_listimg'] = 'Iekļaut attēlu sarakstā';
-$lang['meta_choiximg'] = 'Rediģēt Attēla/u Metadatus';
-$lang['meta_selecti3'] = 'Izvētēties Attēlu';
-$lang['meta_compimg'] = 'Aizpildāmie attēlu atslēgvārdi';
-$lang['meta_compimgdes'] = 'Aizstājamie attēlu apraksti';
-$lang['meta_catdesimg'] = 'Attēlu apraksti atgādinājumiem';
-
-//onglet description
+//tab description
 $lang['meta_onglet_description'] = 'Metadatu Apraksts';
 $lang['meta_author'] = 'Apraksta meta autors';
Index: extensions/meta/language/no_NO/plugin.lang.php
===================================================================
--- extensions/meta/language/no_NO/plugin.lang.php	(revision 9180)
+++ extensions/meta/language/no_NO/plugin.lang.php	(revision 9406)
@@ -1,5 +1,5 @@
 <?php
 
-//onglet gestion
+//tab gest
 $lang['meta_onglet_gestion'] = 'Metadata'; 
 $lang['meta_desh3'] = 'Legg til meta på alle sidene'; 
@@ -13,30 +13,15 @@
 $lang['meta_comp'] = 'Metadata som skal legges til'; 
 $lang['meta_insmeta'] = 'Sett inn metadata';
- 
-//onglet description categorie
-$lang['meta_onglet_categorie'] = 'Album Metadata'; 
-$lang['meta_cath3'] = 'Legg til meta "nøkkelord" og "beskrivelse" til album'; 
-$lang['meta_select3'] = 'Velg album'; 
-$lang['meta_selectcat'] = 'Velg navn på album'; 
-$lang['meta_listcat'] = 'List opp album :'; 
-$lang['meta_choixcat'] = 'Rediger albums Metadata'; 
-$lang['meta_compcat'] = 'Nøkkelord til album som skal ferdigstilles'; 
+
+//edit
+$lang['Metadata - Plugin meta'] = 'Metadata - Plugin meta';
+$lang['meta_compimg'] = 'Nøkkelord til bilder som skal ferdigstilles';
+$lang['meta_compimgdes'] = 'Bilde beskrivelse som skal erstattes';
+$lang['meta_inscat'] = 'Sett inn Metadata';
+$lang['meta_compcatdeshelp'] = 'Vil erstatte alle beskrivelsene';
+$lang['meta_compcat'] = 'Nøkkelord til album som skal ferdigstilles';
 $lang['meta_compcatdes'] = 'Album beskrivelse som skal erstattes'; 
-$lang['meta_compcatdeshelp'] = 'Vil erstatte alle beskrivelsene'; 
-$lang['meta_catdesact'] = 'For å hente tilbake beskrivelsen av album'; 
-$lang['meta_inscat'] = 'Sett inn Metadata';
 
-//onglet image
-$lang['meta_onglet_image'] = 'Bilders Metadata'; 
-$lang['meta_img'] = 'Legg til meta "nøkkelord" og "beskrivelse" til bilde'; 
-$lang['meta_selectimg'] = 'Velg navn på bilde'; 
-$lang['meta_listimg'] = 'List opp bilder'; 
-$lang['meta_choiximg'] = 'Rediger bilders Metadata'; 
-$lang['meta_selecti3'] = 'Velg bilde'; 
-$lang['meta_compimg'] = 'Nøkkelord til bilder som skal ferdigstilles'; 
-$lang['meta_compimgdes'] = 'Bilde beskrivelse som skal erstattes'; 
-$lang['meta_catdesimg'] = 'For å hente tilbake beskrivelsen av bilder';
-
-//onglet description
+//tab description
 $lang['meta_onglet_description'] = 'Beskrivelse Metadata'; 
 $lang['meta_author'] = 'Beskrivelse meta forfatter'; 
Index: extensions/meta/main.inc.php
===================================================================
--- extensions/meta/main.inc.php	(revision 9180)
+++ extensions/meta/main.inc.php	(revision 9406)
@@ -19,12 +19,10 @@
 define('meta_cat_TABLE' , $prefixeTable . 'meta_cat');
 
-add_event_handler('get_admin_plugin_menu_links', 'meta_admin_menu');
-function meta_admin_menu($menu)
+  // Plugin for admin
+if (script_basename() == 'admin')   
 {
-  array_push($menu, array(
-		'NAME' => 'Meta',
-    'URL' => get_admin_plugin_menu_link(meta_PATH . 'admin/admin.php')));
-  return $menu;
+  include_once(dirname(__FILE__).'/initadmin.php');
 }
+
 
 //Gestion des meta dans le header
@@ -39,4 +37,7 @@
 	global $template;
 	$template->set_prefilter('header', 'upmata');
+	
+	$PAED = pwg_db_fetch_assoc(pwg_query("SELECT state FROM " . PLUGINS_TABLE . " WHERE id = 'ExtendedDescription';"));
+	if($PAED['state'] == 'active') add_event_handler('AP_render_content', 'get_user_language_desc');
  }
 
@@ -71,34 +72,35 @@
 			{
 			$meta[$row['metaname']] = $row['metaval'];
+			$metaED[$row['metaname']]=trigger_event('AP_render_content', $meta[$row['metaname']]);
 			}
 
 	// Authors
-	if (!empty($meta_infos['author']) and !empty($meta['author']))
+	if (!empty($meta_infos['author']) and !empty($metaED['author']))
 	{
-		$template->assign('INFO_AUTHOR', $meta_infos['author'] . ' - ' . $meta['author']);
+		$template->assign('INFO_AUTHOR', $meta_infos['author'] . ' - ' . $metaED['author']);
 	}
-	elseif (!empty($meta['author']))
+	elseif (!empty($metaED['author']))
 	{
-    $template->assign('INFO_AUTHOR', $meta['author']);
+    $template->assign('INFO_AUTHOR', $metaED['author']);
 	}
   
 	// Keywords
-	if (!empty($meta['keywords']))
+	if (!empty($metaED['keywords']))
 	{
-    $template->append('related_tags', array('name' => $meta['keywords']));
+    $template->append('related_tags', array('name' => $metaED['keywords']));
 	}
 
 	// Description
-	if (!empty($meta_infos['title']) and !empty($meta_infos['info']) and !empty($meta['Description']))
+	if (!empty($meta_infos['title']) and !empty($meta_infos['info']) and !empty($metaED['Description']))
 	{
-    $template->assign('PLUG_META', $meta_infos['title']. ' - ' .$meta_infos['info'] . ', ' . $meta['Description']);
+    $template->assign('PLUG_META', $meta_infos['title']. ' - ' .$meta_infos['info'] . ', ' . $metaED['Description']);
 	}
-	elseif (!empty($meta_infos['title']) and !empty($meta['Description']))
+	elseif (!empty($meta_infos['title']) and !empty($metaED['Description']))
 	{
-    $template->assign('PLUG_META', $meta_infos['title']. ' - ' .$meta['Description']);
+    $template->assign('PLUG_META', $meta_infos['title']. ' - ' .$metaED['Description']);
 	}
-	elseif (!empty($meta['Description']))
+	elseif (!empty($metaED['Description']))
 	{
-    $template->assign('PLUG_META', $meta['Description']);
+    $template->assign('PLUG_META', $metaED['Description']);
 	}
 	
@@ -124,7 +126,8 @@
     $result = pwg_query($query);
     $row = mysql_fetch_array($result);
+	$albumKeyED=trigger_event('AP_render_content', $row['metaKeycat']);
     if (!empty($row['metaKeycat']))
     {
-      $template->append('related_tags', array('name' => $row['metaKeycat']));
+      $template->append('related_tags', array('name' => $albumKeyED));
     }
 	
@@ -136,7 +139,8 @@
     $result = pwg_query($query);
     $row = mysql_fetch_array($result);
+	$albumDesED=trigger_event('AP_render_content', $row['metadescat']);
     if (!empty($row['metadescat']))
     {
-      $template->assign('PLUG_META', $row['metadescat']);
+      $template->assign('PLUG_META', $albumDesED);
     }
   }
@@ -157,7 +161,8 @@
     $result = pwg_query($query);
     $row = mysql_fetch_array($result);
+	$photoKeyED=trigger_event('AP_render_content', $row['metaKeyimg']);
     if (!empty($row['metaKeyimg']))
     {
-      $template->append('related_tags', array('name' => $row['metaKeyimg']));
+      $template->append('related_tags', array('name' => $photoKeyED));
     }
 
@@ -169,7 +174,8 @@
     $result = pwg_query($query);
     $row = mysql_fetch_array($result);
+	$photoDesED=trigger_event('AP_render_content', $row['metadesimg']);
     if (!empty($row['metadesimg']))
     {
-      $template->assign('PLUG_META', $row['metadesimg']);
+      $template->assign('PLUG_META', $photoDesED);
     }
 	
